Linux 3.11_rcX compatibility
Just patched the 325.08 driver to get compiled against 3.11_rc1. I made two patches. One includes the 3.10 patch, and the other is incremental to it. WARNING: I am not very familar with nvidia-drivers code and/or kernel code. So I really do not know what my patch exactly does. My GPU reports some degrees more temperature with it applied. But actualy it is running! Well, you have been warned. Edit: Sorry, no .patch file extension allowed here. So I added .txt! ;)
Just patched the 325.08 driver to get compiled against 3.11_rc1. I made two patches. One includes the 3.10 patch, and the other is incremental to it.

WARNING:
I am not very familar with nvidia-drivers code and/or kernel code. So I really do not know what my patch exactly does. My GPU reports some degrees more temperature with it applied. But actualy it is running! Well, you have been warned.

Edit:
Sorry, no .patch file extension allowed here. So I added .txt! ;)

#1
Posted 07/16/2013 11:45 PM   
root@sdrbox:/usr/src/NVIDIA-Linux-x86_64-325.08# grep GPL /var/log/nvidia-installer.log FATAL: modpost: GPL-incompatible module nvidia.ko uses GPL-only symbol 'mutex_lock_nested' 3.11.0-rc1 latest git.
root@sdrbox:/usr/src/NVIDIA-Linux-x86_64-325.08# grep GPL /var/log/nvidia-installer.log
FATAL: modpost: GPL-incompatible module nvidia.ko uses GPL-only symbol 'mutex_lock_nested'

3.11.0-rc1 latest git.

#2
Posted 07/20/2013 12:13 PM   
I wonder where NVIDIA devs are. For the past two weeks I haven't seen a single message from them.
I wonder where NVIDIA devs are.

For the past two weeks I haven't seen a single message from them.

#3
Posted 07/20/2013 08:05 PM   
[quote="siddly"] root@sdrbox:/usr/src/NVIDIA-Linux-x86_64-325.08# grep GPL /var/log/nvidia-installer.log FATAL: modpost: GPL-incompatible module nvidia.ko uses GPL-only symbol 'mutex_lock_nested' 3.11.0-rc1 latest git.[/quote] Your error is caused by the extra debugging symbols in the git kernel, build a nodebug kernel and it should work. Here's a link to the patch I used (works with 3.10.0 and 3.11.0 rc1) http://cvs.rpmfusion.org/viewvc/*checkout*/rpms/nvidia-kmod/devel/kernel_v3.10.patch?revision=1.4&root=nonfree
siddly said: root@sdrbox:/usr/src/NVIDIA-Linux-x86_64-325.08# grep GPL /var/log/nvidia-installer.log
FATAL: modpost: GPL-incompatible module nvidia.ko uses GPL-only symbol 'mutex_lock_nested'

3.11.0-rc1 latest git.


Your error is caused by the extra debugging symbols in the git kernel, build a nodebug kernel and it should work.


Here's a link to the patch I used (works with 3.10.0 and 3.11.0 rc1)

http://cvs.rpmfusion.org/viewvc/*checkout*/rpms/nvidia-kmod/devel/kernel_v3.10.patch?revision=1.4&root=nonfree

#4
Posted 07/21/2013 07:52 AM   
CONFIG_DEBUG_KERNEL gets turned on automatically. If it's edited out as "is not set" in .config it gets turned on again. The .config is the same as I have used with all previous kernels up to 3.10.0. Rather than a kernel config problem it's something that the patch doesn't take care of.
CONFIG_DEBUG_KERNEL gets turned on automatically. If it's edited out as "is not set" in .config it gets turned on again.

The .config is the same as I have used with all previous kernels up to 3.10.0.

Rather than a kernel config problem it's something that the patch doesn't take care of.

#5
Posted 07/23/2013 10:20 AM   
Also affects 3.11.0-rc2.
Also affects 3.11.0-rc2.

#6
Posted 07/26/2013 12:28 AM   
Here is the nvidia 319.49 patch for kernel 3.11 [url]http://sourceforge.net/projects/openpctv/files/sources/nvidia-319.49_kernel-3.11.patch/download[/url]

#7
Posted 09/07/2013 07:29 AM   
Scroll To Top